#! /bin/ksh
. ~/obackup______/set_locale.sh
if [[ $(ps -ef|grep -v grep|grep -c brio) > 0 ]]
 then
  print There is another backup running.
  print 
  print This archive backup cannot continue.
  exit
fi
export obackup_tape_CLASS=obackup_normal_asap_log
export obackup_tape_SCHED=obackup_normal_asap_log
export OBK_TYPE=arch_only
export OBK_SCRIPT=$OBK______/scripts/$OBK_TYPE.backup
export OBK_LOG="$OBK_HOME/log/$OBK_TYPE.$ORACLE_SID.$(date +%Y%m%d%H%M%S).log"
export OBK_TRACE="$OBK_HOME/log/$OBK_TYPE.$ORACLE_SID.$(date +%Y%m%d%H%M%S).trc"
cat <<EOF > $OBK_SCRIPT
backup online archivelog 
param="$OBK______/param.file"
parallel=5
archdelete
db_name="$ORACLE_DB"
oracle_sid="$ORACLE_SID"
log="$OBK_LOG"
trace="$OBK_TRACE"
EOF
obackup $OBK_SCRIPT
kill $(ps -ef | grep 'Obackup Instance Manager' | grep -v grep | awk '{print $2}')
if [[ $(grep -i -c "BACKUP job SUCCESSFUL" $OBK_TRACE) = 0 ]]
  then
    mailx -s "$ORACLE_SID OEBU Backup Failed" _@_____.com _@_____.com _@_____.com <$OBK_TRACE
fi
find $OBK_HOME/log -name "*.trc" -mtime +8 -exec rm {} \;
find $OBK_HOME/log -name "*.log" -mtime +8 -exec rm {} \;
find /usr/openv/netbackup/logs/obackup_tape  -name "log.*" -mtime +8 -exec rm {} \;
